Errors Running import_content.sh or update_onecsv.sh on Solaris - LOWERTAB=$' unexpected (Doc ID 1265539.1)

Last updated on MARCH 14, 2013

Applies to:

Oracle Transportation Management - Version 6.0 to 6.2.0 [Release 6 to 6.2]
Information in this document applies to any platform.
***Checked for relevance on 14-Mar-2013***

Symptoms

As part of the installation process of OTM version 6.x the import_content.sh script is run as part of the create_all.sql script. When this is run on Solaris the following error may be generated.

./import_content.sh: [[: not found

import_content_orcl_20101109_1801.log

Processing glogowner tables...

./import_content.sh: syntax error at line 42: `LOWERTAB=$' unexpected

When migrating from one version of OTM 6.x to another, like moving from OTM 61. to 6.2, the update_onecsv.sh command is used to update some of the data content.

./update_onecsv.sh: [[: not found

./update_onecsv.sh: syntax error at line 9: `LOWERTAB=$' unexpected
 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms